Submit Tilled application
curl --request POST \
--url https://api.creditor.younegotiate.com/merchant-settings/tilled \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legal_name": "ABC Collections LLC",
"dba_name": "ABC Collections",
"structure": "limited_liability_company",
"fed_tax_id": "123456789",
"date_of_incorporation": "2020-01-15",
"website": "https://abc-collections.example",
"support_phone": "2125550100",
"support_email": "support@abc-collections.example",
"address": "100 Main Street",
"address2": "Suite 200",
"country": "US",
"state": "NY",
"city": "New York",
"zip": "10001",
"first_name": "Jane",
"middle_name": "",
"last_name": "Admin",
"dob": "1985-05-20",
"ssn": "123456789",
"job_title": "owner",
"percent_ownership": 100,
"owner_phone": "2125550100",
"owner_email": "jane.admin@example.com",
"principle_address": "100 Main Street",
"principle_address2": "Suite 200",
"principle_country": "US",
"principle_state": "NY",
"principle_city": "New York",
"principle_zip": "10001",
"years_at_address": 3,
"company_category": "7322",
"high_ticket_amount": 5000,
"average_transaction_amount_card": 500,
"monthly_transaction_count": 100,
"account_holder_name": "ABC Collections LLC",
"bank_name": "Example Bank",
"bank_account_type": "checking",
"bank_account_number": "1234567890",
"bank_routing_number": "021000021",
"industry_type": "LLC",
"tos_acceptance": true
}
'import requests
url = "https://api.creditor.younegotiate.com/merchant-settings/tilled"
payload = {
"legal_name": "ABC Collections LLC",
"dba_name": "ABC Collections",
"structure": "limited_liability_company",
"fed_tax_id": "123456789",
"date_of_incorporation": "2020-01-15",
"website": "https://abc-collections.example",
"support_phone": "2125550100",
"support_email": "support@abc-collections.example",
"address": "100 Main Street",
"address2": "Suite 200",
"country": "US",
"state": "NY",
"city": "New York",
"zip": "10001",
"first_name": "Jane",
"middle_name": "",
"last_name": "Admin",
"dob": "1985-05-20",
"ssn": "123456789",
"job_title": "owner",
"percent_ownership": 100,
"owner_phone": "2125550100",
"owner_email": "jane.admin@example.com",
"principle_address": "100 Main Street",
"principle_address2": "Suite 200",
"principle_country": "US",
"principle_state": "NY",
"principle_city": "New York",
"principle_zip": "10001",
"years_at_address": 3,
"company_category": "7322",
"high_ticket_amount": 5000,
"average_transaction_amount_card": 500,
"monthly_transaction_count": 100,
"account_holder_name": "ABC Collections LLC",
"bank_name": "Example Bank",
"bank_account_type": "checking",
"bank_account_number": "1234567890",
"bank_routing_number": "021000021",
"industry_type": "LLC",
"tos_acceptance": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legal_name: 'ABC Collections LLC',
dba_name: 'ABC Collections',
structure: 'limited_liability_company',
fed_tax_id: '123456789',
date_of_incorporation: '2020-01-15',
website: 'https://abc-collections.example',
support_phone: '2125550100',
support_email: 'support@abc-collections.example',
address: '100 Main Street',
address2: 'Suite 200',
country: 'US',
state: 'NY',
city: 'New York',
zip: '10001',
first_name: 'Jane',
middle_name: '',
last_name: 'Admin',
dob: '1985-05-20',
ssn: '123456789',
job_title: 'owner',
percent_ownership: 100,
owner_phone: '2125550100',
owner_email: 'jane.admin@example.com',
principle_address: '100 Main Street',
principle_address2: 'Suite 200',
principle_country: 'US',
principle_state: 'NY',
principle_city: 'New York',
principle_zip: '10001',
years_at_address: 3,
company_category: '7322',
high_ticket_amount: 5000,
average_transaction_amount_card: 500,
monthly_transaction_count: 100,
account_holder_name: 'ABC Collections LLC',
bank_name: 'Example Bank',
bank_account_type: 'checking',
bank_account_number: '1234567890',
bank_routing_number: '021000021',
industry_type: 'LLC',
tos_acceptance: true
})
};
fetch('https://api.creditor.younegotiate.com/merchant-settings/tilled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Merchant application submitted. We will continue processing it in the background.",
"data": {
"is_profile_completed": false,
"requires_full_profile": true,
"has_actionable_document_requests": false,
"form": {
"legal_name": "ABC Collections LLC",
"website": "https://abc-collections.example",
"bank_account_number": "90",
"ssn": ""
},
"options": {}
}
}Submit Tilled application
Validate and save the creditor company’s Tilled application. First-time full applications are stored with an encrypted onboarding payload and queued for background Tilled processing. Companies with an already completed Tilled profile only submit bank-account updates synchronously.
POST
/
merchant-settings
/
tilled
Submit Tilled application
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 100Available options:
community_interest_company, corporation, government, limited_liability_company, limited_liability_partnership, non_profit, partnership, sole_proprietorship, trust Pattern:
^\d{9}$Maximum string length:
20Maximum string length:
100Maximum string length:
100Required string length:
2Maximum string length:
30Maximum string length:
10Required string length:
2 - 20Required string length:
2 - 30Available options:
chief_executive_officer, co_owner, controller, director, financial_officer, general_manager, general_partner, limited_partner, manager, member, owner, president, secretary, treasurer, senior_vice_president, vice_president Required range:
1 <= x <= 100Maximum string length:
20Maximum string length:
100Maximum string length:
100Available options:
US, CA Required string length:
2Maximum string length:
30Maximum string length:
10Required range:
1 <= x <= 99Available options:
4119, 7389, 8011, 6012, 6051, 8398, 8099, 8062, 6300, 8050, 8049, 9311, 6513, 5999, 7322, 4814, 7549, 4900, 0742 Required range:
x >= 1Required range:
x >= 1Required range:
x >= 1Available options:
checking, savings Pattern:
^\d{4,17}$Pattern:
^\d{9}$Must be accepted.
Required string length:
2 - 100Maximum string length:
100Available options:
US, CA Maximum string length:
20Required unless structure is government.
Pattern:
^\d{9}$Maximum string length:
100Required string length:
2 - 100Maximum string length:
100Available options:
US, CA Required string length:
2Required string length:
2 - 30Maximum string length:
10Required string length:
2 - 50Required string length:
2 - 50Available options:
CHARITY, CIC, CORP, LTD, LLC, LLP, NPCORP, PARTNERSHIP, PLC, GOV, SOLEPROP, TRUST Last modified on July 20, 2026
Was this page helpful?
⌘I

